# Registry_Name_Space.h File Reference

`#include "ace/config-all.h"`
`#include "ace/Registry.h"`
`#include "ace/Naming_Context.h"`
`#include "ace/Name_Space.h"`

Include dependency graph for Registry_Name_Space.h:

This graph shows which files directly or indirectly include this file:

## Classes

class | ACE_Registry_Name_Space
| Interface to a Name Server Database which is maintained by the Win32 Registry. Allows to add, change, remove and resolve NameBindings. More...

## Detailed Description

Id
  Registry_Name_Space.h,v 4.18 2005/10/28 16:14:55 ossama Exp

Author:
  Irfan Pyarali (irfan@cs.wustl.edu)